// HyperDevView.h : interface of the CHyperDevView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_HYPERDEVVIEW_H__F50C34F2_A1B5_11D8_B172_444553540000__INCLUDED_)
#define AFX_HYPERDEVVIEW_H__F50C34F2_A1B5_11D8_B172_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CHyperDevCntrItem;

class CHyperDevView : public CRichEditView
{
protected: // create from serialization only
	CHyperDevView();
	DECLARE_DYNCREATE(CHyperDevView)

// Attributes
public:
	CHyperDevDoc * GetDocument();
	void UpdateLineNumber();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHyperDevView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CHyperDevView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CHyperDevView)
	afx_msg void OnDestroy();
	afx_msg void OnEditPaste();
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRunExecute();
	afx_msg void OnRunEvaluate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in HyperDevView.cpp
inline CHyperDevDoc* CHyperDevView::GetDocument()
   { return (CHyperDevDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HYPERDEVVIEW_H__F50C34F2_A1B5_11D8_B172_444553540000__INCLUDED_)
